/* ------------------------------------------------------------------------ */
/* System       : Library Routines                                          */
/* Program      : bread.h                                                   */
/* Description  : header file for bread.c                                   */
/*                (C) CopyLeft Bill Buckels 1997.                           */
/*                All Rights Reversed.                                      */
/*                                                                          */
/* You have a royalty-free right to use, modify, reproduce and              */
/* distribute this source code in any way you find useful,                  */
/* provided that you agree that Bill Buckels has no warranty obligations    */
/* or liability resulting from said distribution in any way whatsoever.     */
/* ------------------------------------------------------------------------ */

#ifndef _BREAD_H_
#define _BREAD_H_

#ifdef _BREAD_C_

/* a microsoft compatible bsaved memory image format descriptor */
unsigned char ucBsavedHeader[7]={

    '\xfd',          /* ID Flag = file descriptor identifier bsaved file */

    '\x00', '\xb8',  /* base address     = LSB | MSB original segment    */
    '\x00', '\x00',  /* offset from base = LSB | MSB original offset     */

    '\xA0', '\x0F'   /* file size = LSB | MSB of bytes to be loaded +    */
                     /* size of descriptors in bytes (8)                 */
    };
unsigned char ucBsavedTailer[1] = {
    '\x1a'  /* eof */
    };

#else
extern unsigned char ucBsavedHeader[7];
extern unsigned char ucBsavedTailer[1];
int bread(char *);

#endif
#endif
